export default async function({ g }) {
  const { store } = this.context

  try {
    const response = await this.callApi('/api/gameinfo', { g })
    store.commit('engine/setGameInfo', response.data)
  } catch(e) {
    store.commit('engine/setGameInfo', undefined)
    return false
  }

  return true
}
