export default async function() {
  const { store } = this.context

  try {
    const response = await this.callApi('/api/getQuotes', {
      g: store.state.engine.user?.game,
    })
    store.commit('myQuotes/setQuotes', response.data.quotes)
  } catch(e) {
    store.commit('myQuotes/setQuotes', undefined)
  }
}
