export default async function() {
  const { store } = this.context

  try {
    const response = await this.callApi('/api/games')
    store.commit('engine/setGames', response.data)
  } catch(e) {
    store.commit('engine/setGames', undefined)
    return false
  }

  return true
}
