package game

import (
	"fmt"
)

func (gm *Game) StartGame() {
	go gm.runCountdown()
}

func (gm *Game) ResetGame() {
	err := gm.changeGameState(STATE_ANY, STATE_IDLE, PHASE_NONE)
	if err != nil {
		fmt.Println(err)
		return
	}

	gm.notifyClients()
}
